<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionRepositionPluggedItem Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/dbe/class_action_reposition_plugged_item.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionRepositionPluggedItem Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionRepositionPluggedItem:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../dd/dbe/class_action_reposition_plugged_item.png" usemap="#ActionRepositionPluggedItem_map" alt=""/>
  <map id="ActionRepositionPluggedItem_map" name="ActionRepositionPluggedItem_map">
<area href="../../d0/d5b/class_action_interact_base.html" alt="ActionInteractBase" shape="rect" coords="0,0,174,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ab0b14542aa01b38ec50583facc59a7ee"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dbe/class_action_reposition_plugged_item.html#ab0b14542aa01b38ec50583facc59a7ee">ActionRepositionPluggedItem</a> ()</td></tr>
<tr class="separator:ab0b14542aa01b38ec50583facc59a7ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec8b7621f6bad098184a65bd11010551"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dbe/class_action_reposition_plugged_item.html#aec8b7621f6bad098184a65bd11010551">GetInputType</a> ()</td></tr>
<tr class="separator:aec8b7621f6bad098184a65bd11010551"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68a53f8535d2b350b3d8c748d96c0c58"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dbe/class_action_reposition_plugged_item.html#a68a53f8535d2b350b3d8c748d96c0c58">HasProgress</a> ()</td></tr>
<tr class="separator:a68a53f8535d2b350b3d8c748d96c0c58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adce4ec9b6582c73d8136fdcd2255dadf"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dbe/class_action_reposition_plugged_item.html#adce4ec9b6582c73d8136fdcd2255dadf">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:adce4ec9b6582c73d8136fdcd2255dadf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18bbf9f8cf855dc35f5899480502898e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dbe/class_action_reposition_plugged_item.html#a18bbf9f8cf855dc35f5899480502898e">CanContinue</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a18bbf9f8cf855dc35f5899480502898e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af25dbfba0d5306c8ed3d89ce560401b0"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dbe/class_action_reposition_plugged_item.html#af25dbfba0d5306c8ed3d89ce560401b0">Start</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:af25dbfba0d5306c8ed3d89ce560401b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6299821f003c8aee0bed675deb1f58e2"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dbe/class_action_reposition_plugged_item.html#a6299821f003c8aee0bed675deb1f58e2">OnExecuteServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a6299821f003c8aee0bed675deb1f58e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0749636bf3c56e15753e03676c3a4772"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dbe/class_action_reposition_plugged_item.html#a0749636bf3c56e15753e03676c3a4772">OnExecuteClient</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a0749636bf3c56e15753e03676c3a4772"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93edb51a4183fbc46099c8f37dcca77a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dbe/class_action_reposition_plugged_item.html#a93edb51a4183fbc46099c8f37dcca77a">CreateAndSetupActionCallback</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a93edb51a4183fbc46099c8f37dcca77a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6dadebdc10ca154736184657f0a2676a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dbe/class_action_reposition_plugged_item.html#a6dadebdc10ca154736184657f0a2676a">CanBeUsedOnBack</a> ()</td></tr>
<tr class="separator:a6dadebdc10ca154736184657f0a2676a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a2330aacd577b5570fc70b17d3d1ba29b"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dbe/class_action_reposition_plugged_item.html#a2330aacd577b5570fc70b17d3d1ba29b">m_SourceForReplug</a> = NULL</td></tr>
<tr class="separator:a2330aacd577b5570fc70b17d3d1ba29b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html#l00001">1</a> of file <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html">ActionRepositionPluggedItem.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab0b14542aa01b38ec50583facc59a7ee" name="ab0b14542aa01b38ec50583facc59a7ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0b14542aa01b38ec50583facc59a7ee">&#9670;&#160;</a></span>ActionRepositionPluggedItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionRepositionPluggedItem::ActionRepositionPluggedItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html#l00006">6</a> of file <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html">ActionRepositionPluggedItem.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="adce4ec9b6582c73d8136fdcd2255dadf" name="adce4ec9b6582c73d8136fdcd2255dadf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adce4ec9b6582c73d8136fdcd2255dadf">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionRepositionPluggedItem::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html#l00124">124</a> of file <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html">ActionRepositionPluggedItem.c</a>.</p>

</div>
</div>
<a id="a6dadebdc10ca154736184657f0a2676a" name="a6dadebdc10ca154736184657f0a2676a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6dadebdc10ca154736184657f0a2676a">&#9670;&#160;</a></span>CanBeUsedOnBack()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionRepositionPluggedItem::CanBeUsedOnBack </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html#l00195">195</a> of file <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html">ActionRepositionPluggedItem.c</a>.</p>

</div>
</div>
<a id="a18bbf9f8cf855dc35f5899480502898e" name="a18bbf9f8cf855dc35f5899480502898e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18bbf9f8cf855dc35f5899480502898e">&#9670;&#160;</a></span>CanContinue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionRepositionPluggedItem::CanContinue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html#l00139">139</a> of file <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html">ActionRepositionPluggedItem.c</a>.</p>

</div>
</div>
<a id="a93edb51a4183fbc46099c8f37dcca77a" name="a93edb51a4183fbc46099c8f37dcca77a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93edb51a4183fbc46099c8f37dcca77a">&#9670;&#160;</a></span>CreateAndSetupActionCallback()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionRepositionPluggedItem::CreateAndSetupActionCallback </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html#l00172">172</a> of file <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html">ActionRepositionPluggedItem.c</a>.</p>

</div>
</div>
<a id="aec8b7621f6bad098184a65bd11010551" name="aec8b7621f6bad098184a65bd11010551"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec8b7621f6bad098184a65bd11010551">&#9670;&#160;</a></span>GetInputType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ActionRepositionPluggedItem::GetInputType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html#l00018">18</a> of file <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html">ActionRepositionPluggedItem.c</a>.</p>

</div>
</div>
<a id="a68a53f8535d2b350b3d8c748d96c0c58" name="a68a53f8535d2b350b3d8c748d96c0c58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68a53f8535d2b350b3d8c748d96c0c58">&#9670;&#160;</a></span>HasProgress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionRepositionPluggedItem::HasProgress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html#l00023">23</a> of file <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html">ActionRepositionPluggedItem.c</a>.</p>

</div>
</div>
<a id="a0749636bf3c56e15753e03676c3a4772" name="a0749636bf3c56e15753e03676c3a4772"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0749636bf3c56e15753e03676c3a4772">&#9670;&#160;</a></span>OnExecuteClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionRepositionPluggedItem::OnExecuteClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html#l00163">163</a> of file <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html">ActionRepositionPluggedItem.c</a>.</p>

</div>
</div>
<a id="a6299821f003c8aee0bed675deb1f58e2" name="a6299821f003c8aee0bed675deb1f58e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6299821f003c8aee0bed675deb1f58e2">&#9670;&#160;</a></span>OnExecuteServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionRepositionPluggedItem::OnExecuteServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html#l00151">151</a> of file <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html">ActionRepositionPluggedItem.c</a>.</p>

</div>
</div>
<a id="af25dbfba0d5306c8ed3d89ce560401b0" name="af25dbfba0d5306c8ed3d89ce560401b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af25dbfba0d5306c8ed3d89ce560401b0">&#9670;&#160;</a></span>Start()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionRepositionPluggedItem::Start </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html#l00144">144</a> of file <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html">ActionRepositionPluggedItem.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a2330aacd577b5570fc70b17d3d1ba29b" name="a2330aacd577b5570fc70b17d3d1ba29b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2330aacd577b5570fc70b17d3d1ba29b">&#9670;&#160;</a></span>m_SourceForReplug</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> ActionRepositionPluggedItem::m_SourceForReplug = NULL</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html#l00003">3</a> of file <a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html">ActionRepositionPluggedItem.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Interact/<a class="el" href="../../d8/d0a/_action_reposition_plugged_item_8c_source.html">ActionRepositionPluggedItem.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dd/dbe/class_action_reposition_plugged_item.html">ActionRepositionPluggedItem</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
